echo off
cls
break on
goto enddoc
-----------------------------------------------------------------------
REVISION HISTORY:
=================
version 1.4  Dec 17, 1991
     functionality of JDA-MSG is unchanged.
     modified a few lines in the HELP screen
     added this revision history to JDA-MSGX.BAT demo batch file
-----------------------------------------------------------------------
:enddoc

ECHO                        DEMO OF JDA-MSG
echo                        ---------------
echo.
echo JDA-MSG is a little program for displaying messages on the screen
echo from a batch file.  It can be used as a replacement for DOS's
echo ECHO command to brighten up your batch files.
echo.
echo Note that JDA-MSG requires ANSI.SYS, or an ANSI.SYS clone such as NANSI.SYS.
echo.
echo If you are not using ANSI.SYS, you might as well press control-break right now,
echo because JDA-MSG will not be useful to you.
echo.

pause

JDA-MSG W JDA-MSG will work with a monochrome monitor, but it really shows its stuff only on a color monitor

cls
jda-msg
PAUSE
cls
echo JDA-MSG I This is an example of a one-line information message.
     JDA-MSG I This is an example of a one-line information message.
echo.
echo JDA-MSG I This is an example of an information message that has more than 9 words in it.  This message is quite long.
     JDA-MSG I This is an example of an information message that has more than 9 words in it.  This message is quite long.

pause
cls

echo JDA-MSG B This message produces 5 beeps.
     JDA-MSG B This message produces 5 beeps.
pause
echo JDA-MSG B 1 2 3 4 5
     JDA-MSG B 1 2 3 4 5
PAUSE
cls
JDA-MSG W  This is an example of a warning message.
echo.
echo.
echo.
echo.
echo.
echo.
JDA-MSG N  This is an example of a note.  Press ENTER to erase the note.
pause>nul
JDA-MSG NE This is an example of a note.  Press ENTER to erase the note.
pause
cls
JDA-MSG IB
JDA-MSG IM  A. Run program A
JDA-MSG IM  B. Run program B
JDA-MSG IM  X. Exit from this procedure
JDA-MSG IM
JDA-MSG IM  Select an option from the menu
JDA-MSG IE
echo.
JDA-MSG IB  Multi-line features can be used to make menus.
JDA-MSG IM  They run rather slowly, because they require multiple
JDA-MSG IM  invocations of JDA-MSG.  But they work.
JDA-MSG IM
JDA-MSG IM  A better use is simply to create messages
JDA-MSG IM  in which you control
JDA-MSG IM  the number of words on each message line ...
JDA-MSG IE  such as this one.
pause
JDA-MSG WB You can also have formatted
JDA-MSG WM multi-line
JDA-MSG WM warning messages.
JDA-MSG WM
JDA-MSG WM  Such as this one.
rem         ^^^^^^^^^^ cheap trick: A string of ascii 256 (hex 'FF')
JDA-MSG WE

cls
JDA-MSG IB JDA-MSG is a batch file that was
JDA-MSG IM compiled using the PC Magazine utility BAT2EXEC.
JDA-MSG IM
JDA-MSG IM Because of peculiarities of DOS's "FOR" command
JDA-MSG IM (which JDA-MSG uses in displaying messages)
JDA-MSG IM commas cannot be displayed in a message.
JDA-MSG IE
pause

JDA-MSG You get a warning message if the first parameter to JDA-MSG is not a valid MsgType code.
echo.
echo.
echo.
JDA-MSG N I hope that you will find JDA-MSG to be a useful tool.  END: JDA-MSG DEMO.
